org.eclnt.jsfserver.util

## Class CCApplication

- java.lang.Object
- - Application
  - - org.eclnt.jsfserver.util.CCApplication

-     public class CCApplication
      extends Application

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CCApplication(Application delegateTo)` Default cosntructor used in servlet/JSF environment.
    `CCApplication(Application delegateTo, CCELResolver elResolver)` Special cosntructor used for mini server.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addBehavior(java.lang.String behaviorId, java.lang.String behaviorClass)`
    `void` | `addComponent(java.lang.String componentType, java.lang.String componentClass)`
    `void` | `addConverter(java.lang.Class targetClass, java.lang.String converterClass)`
    `void` | `addConverter(java.lang.String converterId, java.lang.String converterClass)`
    `void` | `addDefaultValidatorId(java.lang.String validatorId)`
    `void` | `addELContextListener(ELContextListener listener)`
    `void` | `addELResolver(ELResolver resolver)`
    `void` | `addSearchKeywordResolver(SearchKeywordResolver resolver)`
    `void` | `addValidator(java.lang.String validatorId, java.lang.String validatorClass)`
    `protected java.lang.Object` | `clone()`
    `Behavior` | `createBehavior(java.lang.String behaviorId)`
    `UIComponent` | `createComponent(FacesContext context, Resource componentResource)`
    `UIComponent` | `createComponent(FacesContext context, java.lang.String componentType, java.lang.String rendererType)`
    `UIComponent` | `createComponent(java.lang.String componentType)`
    `UIComponent` | `createComponent(ValueBinding componentBinding, FacesContext context, java.lang.String componentType)`
    `UIComponent` | `createComponent(ValueExpression componentExpression, FacesContext context, java.lang.String componentType)`
    `UIComponent` | `createComponent(ValueExpression componentExpression, FacesContext context, java.lang.String componentType, java.lang.String rendererType)`
    `Converter` | `createConverter(java.lang.Class targetClass)`
    `Converter` | `createConverter(java.lang.String converterId)`
    `MethodBinding` | `createMethodBinding(java.lang.String ref, java.lang.Class[] params)`
    `Validator` | `createValidator(java.lang.String validatorId)`
    `ValueBinding` | `createValueBinding(java.lang.String ref)`
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.Object` | `evaluateExpressionGet(FacesContext context, java.lang.String expression, java.lang.Class expectedType)`
    `protected void` | `finalize()`
    `ActionListener` | `getActionListener()`
    `java.util.Iterator<java.lang.String>` | `getBehaviorIds()`
    `java.util.Iterator<java.lang.String>` | `getComponentTypes()`
    `java.util.Iterator<java.lang.String>` | `getConverterIds()`
    `java.util.Iterator<java.lang.Class<?>>` | `getConverterTypes()`
    `java.util.Locale` | `getDefaultLocale()`
    `java.lang.String` | `getDefaultRenderKitId()`
    `java.util.Map<java.lang.String,java.lang.String>` | `getDefaultValidatorInfo()`
    `ELContextListener[]` | `getELContextListeners()`
    `ELResolver` | `getELResolver()`
    `ExpressionFactory` | `getExpressionFactory()`
    `FlowHandler` | `getFlowHandler()`
    `java.lang.String` | `getMessageBundle()`
    `NavigationHandler` | `getNavigationHandler()`
    `ProjectStage` | `getProjectStage()`
    `PropertyResolver` | `getPropertyResolver()`
    `java.util.ResourceBundle` | `getResourceBundle(FacesContext ctx, java.lang.String name)`
    `ResourceHandler` | `getResourceHandler()`
    `SearchExpressionHandler` | `getSearchExpressionHandler()`
    `SearchKeywordResolver` | `getSearchKeywordResolver()`
    `StateManager` | `getStateManager()`
    `java.util.Iterator<java.util.Locale>` | `getSupportedLocales()`
    `java.util.Iterator<java.lang.String>` | `getValidatorIds()`
    `VariableResolver` | `getVariableResolver()`
    `ViewHandler` | `getViewHandler()`
    `int` | `hashCode()`
    `void` | `publishEvent(FacesContext context, java.lang.Class<? extends SystemEvent> systemEventClass, java.lang.Class<?> sourceBaseType, java.lang.Object source)`
    `void` | `publishEvent(FacesContext context, java.lang.Class<? extends SystemEvent> systemEventClass, java.lang.Object source)`
    `void` | `removeELContextListener(ELContextListener listener)`
    `void` | `setActionListener(ActionListener listener)`
    `void` | `setDefaultLocale(java.util.Locale locale)`
    `void` | `setDefaultRenderKitId(java.lang.String renderKitId)`
    `void` | `setFlowHandler(FlowHandler newHandler)`
    `void` | `setMessageBundle(java.lang.String bundle)`
    `void` | `setNavigationHandler(NavigationHandler handler)`
    `void` | `setPropertyResolver(PropertyResolver resolver)`
    `void` | `setResourceHandler(ResourceHandler resourceHandler)`
    `void` | `setSearchExpressionHandler(SearchExpressionHandler searchExpressionHandler)`
    `void` | `setStateManager(StateManager manager)`
    `void` | `setSupportedLocales(java.util.Collection<java.util.Locale> locales)`
    `void` | `setVariableResolver(VariableResolver resolver)`
    `void` | `setViewHandler(ViewHandler handler)`
    `void` | `subscribeToEvent(java.lang.Class<? extends SystemEvent> systemEventClass, java.lang.Class<?> sourceClass, SystemEventListener listener)`
    `void` | `subscribeToEvent(java.lang.Class<? extends SystemEvent> systemEventClass, SystemEventListener listener)`
    `java.lang.String` | `toString()`
    `void` | `unsubscribeFromEvent(java.lang.Class<? extends SystemEvent> systemEventClass, java.lang.Class<?> sourceClass, SystemEventListener listener)`
    `void` | `unsubscribeFromEvent(java.lang.Class<? extends SystemEvent> systemEventClass, SystemEventListener listener)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CCApplication

          public CCApplication(Application delegateTo)

      Default cosntructor used in servlet/JSF environment.

    - #### CCApplication

          public CCApplication(Application delegateTo,
                               CCELResolver elResolver)

      Special cosntructor used for mini server.

  - ### Method Detail

    - #### addComponent

          public void addComponent(java.lang.String componentType,
                                   java.lang.String componentClass)

    - #### addConverter

          public void addConverter(java.lang.Class targetClass,
                                   java.lang.String converterClass)

    - #### addConverter

          public void addConverter(java.lang.String converterId,
                                   java.lang.String converterClass)

    - #### addELContextListener

          public void addELContextListener(ELContextListener listener)

    - #### addELResolver

          public void addELResolver(ELResolver resolver)

    - #### addValidator

          public void addValidator(java.lang.String validatorId,
                                   java.lang.String validatorClass)

    - #### clone

          protected java.lang.Object clone()
                                    throws java.lang.CloneNotSupportedException

      Throws:
        `java.lang.CloneNotSupportedException`

    - #### createComponent

          public UIComponent createComponent(java.lang.String componentType)
                                      throws FacesException

      Throws:
        `FacesException`

    - #### createComponent

          public UIComponent createComponent(ValueBinding componentBinding,
                                             FacesContext context,
                                             java.lang.String componentType)
                                      throws FacesException

      Throws:
        `FacesException`

    - #### createComponent

          public UIComponent createComponent(ValueExpression componentExpression,
                                             FacesContext context,
                                             java.lang.String componentType)
                                      throws FacesException

      Throws:
        `FacesException`

    - #### createConverter

          public Converter createConverter(java.lang.Class targetClass)

    - #### createConverter

          public Converter createConverter(java.lang.String converterId)

    - #### createMethodBinding

          public MethodBinding createMethodBinding(java.lang.String ref,
                                                   java.lang.Class[] params)
                                            throws ReferenceSyntaxException

      Throws:
        `ReferenceSyntaxException`

    - #### createValidator

          public Validator createValidator(java.lang.String validatorId)
                                    throws FacesException

      Throws:
        `FacesException`

    - #### createValueBinding

          public ValueBinding createValueBinding(java.lang.String ref)
                                          throws ReferenceSyntaxException

      Throws:
        `ReferenceSyntaxException`

    - #### equals

          public boolean equals(java.lang.Object obj)

    - #### evaluateExpressionGet

          public java.lang.Object evaluateExpressionGet(FacesContext context,
                                                        java.lang.String expression,
                                                        java.lang.Class expectedType)
                                                 throws ELException

      Throws:
        `ELException`

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Throws:
        `java.lang.Throwable`

    - #### getActionListener

          public ActionListener getActionListener()

    - #### getComponentTypes

          public java.util.Iterator<java.lang.String> getComponentTypes()

    - #### getConverterIds

          public java.util.Iterator<java.lang.String> getConverterIds()

    - #### getConverterTypes

          public java.util.Iterator<java.lang.Class<?>> getConverterTypes()

    - #### getDefaultLocale

          public java.util.Locale getDefaultLocale()

    - #### getDefaultRenderKitId

          public java.lang.String getDefaultRenderKitId()

    - #### getELContextListeners

          public ELContextListener[] getELContextListeners()

    - #### getELResolver

          public ELResolver getELResolver()

    - #### getExpressionFactory

          public ExpressionFactory getExpressionFactory()

    - #### getMessageBundle

          public java.lang.String getMessageBundle()

    - #### getNavigationHandler

          public NavigationHandler getNavigationHandler()

    - #### getPropertyResolver

          public PropertyResolver getPropertyResolver()

    - #### getResourceBundle

          public java.util.ResourceBundle getResourceBundle(FacesContext ctx,
                                                            java.lang.String name)

    - #### getStateManager

          public StateManager getStateManager()

    - #### getSupportedLocales

          public java.util.Iterator<java.util.Locale> getSupportedLocales()

    - #### getValidatorIds

          public java.util.Iterator<java.lang.String> getValidatorIds()

    - #### getVariableResolver

          public VariableResolver getVariableResolver()

    - #### getViewHandler

          public ViewHandler getViewHandler()

    - #### hashCode

          public int hashCode()

    - #### removeELContextListener

          public void removeELContextListener(ELContextListener listener)

    - #### setActionListener

          public void setActionListener(ActionListener listener)

    - #### setDefaultLocale

          public void setDefaultLocale(java.util.Locale locale)

    - #### setDefaultRenderKitId

          public void setDefaultRenderKitId(java.lang.String renderKitId)

    - #### setMessageBundle

          public void setMessageBundle(java.lang.String bundle)

    - #### setNavigationHandler

          public void setNavigationHandler(NavigationHandler handler)

    - #### setPropertyResolver

          public void setPropertyResolver(PropertyResolver resolver)

    - #### setStateManager

          public void setStateManager(StateManager manager)

    - #### setSupportedLocales

          public void setSupportedLocales(java.util.Collection<java.util.Locale> locales)

    - #### setVariableResolver

          public void setVariableResolver(VariableResolver resolver)

    - #### setViewHandler

          public void setViewHandler(ViewHandler handler)

    - #### toString

          public java.lang.String toString()

    - #### addBehavior

          public void addBehavior(java.lang.String behaviorId,
                                  java.lang.String behaviorClass)

    - #### addDefaultValidatorId

          public void addDefaultValidatorId(java.lang.String validatorId)

    - #### createBehavior

          public Behavior createBehavior(java.lang.String behaviorId)
                                  throws FacesException

      Throws:
        `FacesException`

    - #### createComponent

          public UIComponent createComponent(FacesContext context,
                                             Resource componentResource)

    - #### createComponent

          public UIComponent createComponent(FacesContext context,
                                             java.lang.String componentType,
                                             java.lang.String rendererType)

    - #### createComponent

          public UIComponent createComponent(ValueExpression componentExpression,
                                             FacesContext context,
                                             java.lang.String componentType,
                                             java.lang.String rendererType)

    - #### getBehaviorIds

          public java.util.Iterator<java.lang.String> getBehaviorIds()

    - #### getDefaultValidatorInfo

          public java.util.Map<java.lang.String,java.lang.String> getDefaultValidatorInfo()

    - #### getProjectStage

          public ProjectStage getProjectStage()

    - #### getResourceHandler

          public ResourceHandler getResourceHandler()

    - #### publishEvent

          public void publishEvent(FacesContext context,
                                   java.lang.Class<? extends SystemEvent> systemEventClass,
                                   java.lang.Class<?> sourceBaseType,
                                   java.lang.Object source)

    - #### publishEvent

          public void publishEvent(FacesContext context,
                                   java.lang.Class<? extends SystemEvent> systemEventClass,
                                   java.lang.Object source)

    - #### setResourceHandler

          public void setResourceHandler(ResourceHandler resourceHandler)

    - #### subscribeToEvent

          public void subscribeToEvent(java.lang.Class<? extends SystemEvent> systemEventClass,
                                       java.lang.Class<?> sourceClass,
                                       SystemEventListener listener)

    - #### subscribeToEvent

          public void subscribeToEvent(java.lang.Class<? extends SystemEvent> systemEventClass,
                                       SystemEventListener listener)

    - #### unsubscribeFromEvent

          public void unsubscribeFromEvent(java.lang.Class<? extends SystemEvent> systemEventClass,
                                           java.lang.Class<?> sourceClass,
                                           SystemEventListener listener)

    - #### unsubscribeFromEvent

          public void unsubscribeFromEvent(java.lang.Class<? extends SystemEvent> systemEventClass,
                                           SystemEventListener listener)

    - #### addSearchKeywordResolver

          public void addSearchKeywordResolver(SearchKeywordResolver resolver)

    - #### getFlowHandler

          public FlowHandler getFlowHandler()

    - #### getSearchExpressionHandler

          public SearchExpressionHandler getSearchExpressionHandler()

    - #### getSearchKeywordResolver

          public SearchKeywordResolver getSearchKeywordResolver()

    - #### setFlowHandler

          public void setFlowHandler(FlowHandler newHandler)

    - #### setSearchExpressionHandler

          public void setSearchExpressionHandler(SearchExpressionHandler searchExpressionHandler)

Copyright © CaptainCasa Gmbh. All Rights Reserved.